/// <reference types="react" />
import { DecoratorBlockNode, SerializedDecoratorBlockNode } from '@lexical/react/LexicalDecoratorBlockNode';
import { ElementFormatType, LexicalNode, NodeKey, Spread } from 'lexical';
export type EmbedNodePayload = {
    html: string;
};
type SerializedEmbedNode = Spread<{
    type: 'embed';
    version: 1;
} & EmbedNodePayload, SerializedDecoratorBlockNode>;
export declare class EmbedNode extends DecoratorBlockNode {
    __html: string;
    constructor(html: string, format?: ElementFormatType, key?: NodeKey);
    static getType(): string;
    static clone(node: EmbedNode): EmbedNode;
    createDOM(): HTMLElement;
    updateDOM(): false;
    decorate(): JSX.Element;
    static importJSON(serializedNode: SerializedEmbedNode): EmbedNode;
    exportJSON(): SerializedEmbedNode;
}
export declare function $createEmbedNode({ html }: EmbedNodePayload): EmbedNode;
export declare function $isEmbedNode(node: LexicalNode | null | undefined): node is EmbedNode;
export {};
